spring.application.name=DatePlanner
server.port=8080

#================== application configuration ===================
jwt.expiration.access=3600000
jwt.expiration.refresh=2592000000
jwt.secret=EklvImHzmPqvwWrtfkKldlKlivmdjJjrnzcvpPio0911ThisIsVeryStronPassword
#==================== database configuration ====================
db.username=
db.password=
db.url=

spring.r2dbc.url=r2dbc:postgresql://${db.url}
spring.r2dbc.username=${db.username}
spring.r2dbc.password=${db.password}
spring.sql.init.mode=always

spring.flyway.url=jdbc:postgresql://${db.url}
spring.flyway.user=${db.username}
spring.flyway.password=${db.password}
spring.flyway.encoding=UTF-8
spring.flyway.locations=db/migration
spring.flyway.validate-migration-naming=true
spring.flyway.baseline-on-migrate=true
#====================== minio configuration =====================
minio.bucket=${spring.application.name}
minio.url=
minio.cdn=
minio.username=
minio.password=